#!/bin/bash
MYNAME=`echo $DISPLAY | cut -d: -f1 `

if [ -n "${MYNAME}" -a "${MYNAME}" != "localhost" ]; then
  function get_cfg(){
    VALUE=`/usr/sbin/ltspinfo \
               -h ${MYNAME}      \
               -c $1`
    if [ "$#" -gt 1 -a -z "${VALUE}" ]; then
      echo $2
    else
      echo ${VALUE}
    fi
	
    unset VALUE
  }

  #OPTIONS="-o workgroup=LTSP,guest,fmask=600,dmask=700,uid=${USER}"
  OPTIONS="-o workgroup=LTSP,guest,fmask=600,dmask=700,uid=${USER},ttl=0"

  for i in 01 02 03 04 05 06 07 08 09 10; do
    eval `get_cfg LOCAL_DEVICE_${i}`
    entry="$`eval  echo LTSP_LOCAL_DEVICE_${i}`"
    
    if [ ! -z LTSP_LOCAL_DEVICE_${i} ] ; then
      FOUND=1
      break
    fi
  done

  if [ "$FOUND" = "1" ] ; then 
    HOMEDIR=`getent passwd $USER|cut -f 6 -d :`
    DRIVEDIR="Drives"
    mkdir -p ${HOMEDIR}/"$DRIVEDIR"
    chown $USER ${HOMEDIR}/"$DRIVEDIR"
    mount -t smbfs //${MYNAME}/drives ${HOMEDIR}/"$DRIVEDIR" $OPTIONS
  fi
fi
